Index: event.lisp
===================================================================
RCS file: /project/cl-irc/cvsroot/cl-irc/event.lisp,v
retrieving revision 1.13
diff -u -r1.13 event.lisp
--- event.lisp	27 Jan 2006 21:10:02 -0000	1.13
+++ event.lisp	27 Jan 2006 23:09:17 -0000
@@ -183,8 +183,10 @@
         (remove-user channel user))))
 
 (defmethod default-hook ((message irc-quit-message))
-  (let ((connection (connection message)))
-    (remove-user-everywhere connection (find-user connection (source message)))))
+  (let* ((connection (connection message))
+         (user (find-user connection (source message))))
+    (when (not (null user))
+     (remove-user-everywhere connection user))))
 
 (defmethod default-hook ((message irc-rpl_channelmodeis-message))
   (destructuring-bind
Index: protocol.lisp
===================================================================
RCS file: /project/cl-irc/cvsroot/cl-irc/protocol.lisp,v
retrieving revision 1.31
diff -u -r1.31 protocol.lisp
--- protocol.lisp	27 Jan 2006 21:10:02 -0000	1.31
+++ protocol.lisp	27 Jan 2006 23:09:17 -0000
@@ -739,6 +739,10 @@
 may be already be on."
   (remhash (normalized-nickname user) (users connection)))
 
+(defmethod remove-user (connection user)
+  "Don't do anything."
+  (warn "Don't know how to handle args (~A ~A)" connection user))
+
 (defmethod remove-user-everywhere ((connection connection) (user user))
   "Remove `user' anywhere present in the `connection'."
   (dolist (channel (channels user))
